// IAsyncDataProvider.aidl
package com.baidu.bainuo.component.servicebridge.data;
import com.baidu.bainuo.component.servicebridge.data.IAsyncDataReceiver;

interface IAsyncDataProvider {
    // 客户端调用，从major中得到现在的值
    byte[] getValue(in String tag);
    // 回调给主进程数据的改变
    void setPropertyChange(in String originalProcessName, in String tag, in byte[] newValue);
    // 回调给主进程数据某项的改变
    void setPropertyChang(in String originalProcessName, in String tag, in String property, in byte[] newValue);
    // 增加监听
    void addAsyncDataReceiver(in IAsyncDataReceiver receiver);
    // 删除监听
    void removeAsyncDataReceiver(in IAsyncDataReceiver receiver);
}
